require 'mocloud/utils'

module Mocloud
	class API

		def get_unauthed(endpoint, resource, query={})
			Mocloud::Utils.http_get("https://#{endpoint}#{resource}", query)
		end

		def get(resource, query={})

			creds = Mocloud::Utils::Credentials.new
			time = Time.now.to_i
			user = creds.read_credentials()
			token = creds.make_token(time)

			query[:token] = token
			query[:time] = time

			Mocloud::Utils.http_get("https://#{user['endpoint']}#{resource}", query)
		end

	end
end